// Seleciona todos os elementos dentro do grupo .main
const revealElements = document.querySelectorAll('.main *');

// Função que verifica se o elemento está na área visível
function isElementInView(element) {
    const rect = element.getBoundingClientRect();
    return (
        rect.top < window.innerHeight && // O topo do elemento deve estar visível
        rect.bottom > 0 // O fundo do elemento deve estar visível
    );
}





// Função para aplicar a animação de scroll
function revealOnScroll() {
    revealElements.forEach(element => {
        // Se o elemento está na área visível, adiciona a classe 'visible'
        if (isElementInView(element)) {
            element.classList.add('visible');
        }
    });
}

// Chama a função ao rolar a página
window.addEventListener('scroll', revealOnScroll);

// Chama a função para garantir que os elementos sejam visíveis ao carregar a página
document.addEventListener('DOMContentLoaded', revealOnScroll);



